[CDBI] t/15-accessor.t and DBD::SQLite

Bill Moseley moseley at hank.org
Tue Jan 22 15:53:30 GMT 2008


On Wed, Mar 07, 2007 at 07:23:00PM -0800, Michael G Schwern wrote:
> Nathan Speed wrote:
> > Hello,
> > 
> > I am getting a failing test when I try to install Class::DBI through 
> > CPAN. The test is normally skipped unless DBD::SQLite is installed, 
> > but I wanted to use Class::DBI with SQLite. I get essentially the 
> > same results on a Fedora Core 6 Linux box and a Mac OS X laptop. 
> > The test that fails is t/15-accessor.t. I am including a verbose 
> > transcript. Any help would be appreciated!
> 
> Check your version of DBD::SQLite.  1.13 and CDBI don't get along.
> Downgrade to 1.12.

I see DBD::SQLite 1.14 didn't resolve it either.

-- 
Bill Moseley
moseley at hank.org




More information about the ClassDBI mailing list